import inquirer, { Question, InputQuestion, CheckboxQuestion, NumberQuestion, PasswordQuestion, EditorQuestion, ChoiceOptions } from 'inquirer';
declare type QuestionWithValidation<A extends inquirer.Answers = inquirer.Answers> = InputQuestion<A> | CheckboxQuestion<A> | NumberQuestion<A> | PasswordQuestion<A> | EditorQuestion<A>;
export declare const answerRequired: <A extends inquirer.Answers>(question: QuestionWithValidation<A>) => inquirer.Question<A>;
export declare const promptInput: <A extends inquirer.Answers>(name: string, message: string | ((answers: A) => string), required?: boolean, def?: any, when?: boolean | ((answers: A) => boolean | Promise<boolean>)) => inquirer.Question<A>;
export declare const promptList: <A extends inquirer.Answers>(name: string, message: string | ((answers: A) => string), choices: () => ChoiceOptions[], def?: any, when?: boolean | ((answers: A) => boolean | Promise<boolean>)) => inquirer.ListQuestion<A>;
export declare const promptConfirm: <A extends inquirer.Answers>(name: string, message: string | ((answers: A) => string), def?: any, when?: boolean | ((answers: A) => boolean | Promise<boolean>)) => inquirer.ConfirmQuestion<A>;
export {};
